/** @file gfx/gxrasterfont.cc build an OpenGL raster font from an X11
    font */
///////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2002-2004 California Institute of Technology
// Copyright (c) 2004-2007 University of Southern California
// Rob Peters <rjpeters at usc dot edu>
//
// created: Wed Nov 13 16:45:32 2002
// commit: $Id: gxrasterfont.cc 10065 2007-04-12 05:54:56Z rjpeters $
// $HeadURL: file:///home/rjpeters/svnrepo/code/trunk/groovx/src/gfx/gxrasterfont.cc $
//
// --------------------------------------------------------------------
//
// This file is part of GroovX.
//   [http://ilab.usc.edu/rjpeters/groovx/]
//
// GroovX is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// GroovX is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GroovX; if not, write to the Free Software Foundation,
// Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
///////////////////////////////////////////////////////////////////////

#ifndef GROOVX_GFX_GXRASTERFONT_CC_UTC20050626084023_DEFINED
#define GROOVX_GFX_GXRASTERFONT_CC_UTC20050626084023_DEFINED

#include "gxrasterfont.h"

#include "rutz/trace.h"

GxRasterFont::~GxRasterFont() throw()
{
GVX_TRACE("GxRasterFont::~GxRasterFont");
}

static const char __attribute__((used)) vcid_groovx_gfx_gxrasterfont_cc_utc20050626084023[] = "$Id: gxrasterfont.cc 10065 2007-04-12 05:54:56Z rjpeters $ $HeadURL: file:///home/rjpeters/svnrepo/code/trunk/groovx/src/gfx/gxrasterfont.cc $";
#endif // !GROOVX_GFX_GXRASTERFONT_CC_UTC20050626084023_DEFINED
